# Backup Helper

This script is an helper for backup operation. It won't backup anything by itself, but will prepare everything so your backup software can do its job. I made it for BackupPC but you can use it with anything else.

It will try to :
  * Shut down Zimbra services to ensure data integrity (optionaly, you can choose to skip this part, or to only shut down LDAP which is the most sensitive service)
  * Create a snapshot of the volume where /opt/zimbra is (only LVM supported right now)
  * Mount the snapshoted FS on a specified dir, making sure Zimbra's tree appears where you asked
  * Restart any service

Now, you can backup the snapshot with any backup tool, data is frozen. Once the backup is finished, just call the script with the --post arg to cleanup everything

Arguments :

  * --pre or --post : Set if we run a pre or post backup routine. Default is --pre
  * --snap-size : Size of the snapshot to create, for standard LVM volume. Default is 5G. Ignored for LVM thin volumes
  * --mount : specify the directory where Zimbra tree should be mounted. Default is /home/lbkp/zimbra/mount
  * --quiet : less details will be printed during execution
  * --verbose : more details will be printed during execution
  * --shutdown=[none|all|ldap] : select which components should be sutted down before taking the snapshot. Default is all, and will stop all Zimbra services. You can choose none (no Zimbra service will be shutted down) or ldap (only ldap, if installed, will be shutted down)


